com.mysql.cj.jdbc

## Enum CloseOption

- java.lang.Object
- - java.lang.Enum<CloseOption>
  - - com.mysql.cj.jdbc.CloseOption

All Implemented Interfaces:
  Serializable, Comparable<CloseOption>

    public enum CloseOption
    extends Enum<CloseOption>

### Enum Constant Summary

Enum Constants
`FORCED`
`IMPLICIT`
`NO_CACHE`
`PROPAGATE`
`ROLLBACK`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `in(CloseOption... options)`
`boolean` `notIn(CloseOption... options)`
`static CloseOption` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CloseOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IMPLICIT

    public static final CloseOption IMPLICIT

#### FORCED

    public static final CloseOption FORCED

#### ROLLBACK

    public static final CloseOption ROLLBACK

#### PROPAGATE

    public static final CloseOption PROPAGATE

#### NO_CACHE

    public static final CloseOption NO_CACHE

### Method Detail

#### values

    public static CloseOption[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CloseOption c : CloseOption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CloseOption valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### in

    public boolean in(CloseOption... options)

#### notIn

    public boolean notIn(CloseOption... options)

Copyright © 2016, 2026, Oracle and/or its affiliates.